
FORD LDM Localization - 功能 #2555

功能 # 2519 (已关闭): Ford_SYSR: System Requirement

Ford_SYSR：FS_REQ0035_V1 Static Bending Light Activation

2024-10-24 18:22 - 玉洁 金

状态: 已关闭 开始日期: 2024-11-05

优先级: 普通 计划完成日期: 2024-11-20

指派给: 涛 陆 % 完成: 100%

类别:  预期时间: 0.00 小时

目标版本: H004_SW0007169.A002.0 耗时: 0.00 小时

描述

The static bending light (SBL) will be activated based on steering wheel angle provided by the Signal ‘SteAngle’ and vehicle speed provided by
‘Veh_Speed’ via LIN Command Frame ‘BCM_E_FC2’. SBL activation shall only occur when:
�    LIN command 'Autolamp_Rqst’ is set to '0x01'
�    LIN command vehicle speed ‘Veh_Speed’ is at or less than the vehicle speed threshold which can be configured by parameter ‘SBL_Max 
Speed_Thershold_cfg’
�    LIN command steering angle ‘SteAngle’ is at or more than the steering angle threshold which can be configured by parameter ‘SBL
Trigger_SteAngle_Thershold_cfg’

‘SteAngle’ signal definition:
�    Signal Size: 15 Bit
�    Resolution: 0.1 degrees
�    Raw Data Values: 0-32767
�    Logical Calculation for Degree Value: 0.1*(Raw Data)-1600
�
‘Veh_Speed’ signal definition:
�    Signal Size: 8 Bit
�    Resolution: 1 KPH
�    Raw Data Values: 0-255

‘SBL_ Trigger_SteAngle_Thershold_cfg’ parameter definition:
�    Range: 0 to 255Deg
�    Resolution: 1Deg.

‘SBL_Max_Speed_Thershold_cfg’ parameter definition:
�    Range: 0 to 255Kph
�    Resolution: 1Kph.

The LDM shall use EEL bus provided steering wheel angle as absolute value. Negative angle is for right LDM and positive angle is for left LDM.
Example:
�    EEL bus received steering wheel angle: -40° (Raw Data = 15600 (0x3CF0))
o    Right LDM to use received steering wheel angle 40°
o    Left LDM to ignore the information

�    EEL bus received steering wheel angle: 40° (Raw Data = 16400 (0x4010))
o    Left LDM to use received steering wheel angle 40°
o    Right LDM to ignore the information

NOTE: The SBL activation and deactivation shall have a hysteresis of vehicle speed and steering angle to avoid the light flash.

子任务:

功能 # 2837: Ford_SWER_0035_0001：Static Bending Light Activation... 已关闭

功能 # 2839: Ford_SWER_0035_0002：Static Bending Light Activation... 已关闭

功能 # 2842: Ford_SWER_0035_0003：Static Bending Light Activation... 已关闭

功能 # 3025: Ford_SWER_0035_0004：Static Bending Light Activation... 已关闭

历史记录

#1 - 2024-10-25 09:52 - 涛 陆

未完成
#2 - 2024-10-31 16:25 - 斌 徐

- 目标版本 从 H003_SW0007169.A001.8 变更为 H004_SW0007169.A002.0

目前项目不涉及该功能，因此下一版添加

#3 - 2024-11-04 10:11 - 斌 徐

- 状态 从 新建 变更为 反馈

#4 - 2024-11-26 14:39 - 斌 徐

- 状态 从 反馈 变更为 已关闭
